=== debian/changelog ===
uhd (3.9.1-1) unstable; urgency=low

  * New upstream release, updated udev rules

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Sep 2015 10:23:00 -0400

uhd (3.9.0-3) unstable; urgency=medium

  * drop dh_acc to get reproducible builds

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Sep 2015 22:37:50 -0400

uhd (3.9.0-2) unstable; urgency=low

  * fix FTBFS:
    use dh_acc and abi-compliance-checker just on amd64
    revise uhd-platform-hurd-kfreebsd patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 07 Sep 2015 19:35:50 -0400

uhd (3.9.0-1) unstable; urgency=medium

  * New upstream release, update to release_003_009_000-13-g01ed9b3
  * build with libgps, gpsd support
  * use aarch64.patch from https://bugzilla.redhat.com/show_bug.cgi?id=1200836
    (Sorry Adam, thanks Marcin!)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 Sep 2015 22:08:38 -0400

uhd (3.8.5-3) unstable; urgency=low

  * acknowledge NMU changes
  * update to release_003_008_005-11-g7a86523

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 27 Aug 2015 20:25:15 -0400

uhd (3.8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 794878).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:55:53 +0200

uhd (3.8.5-2) unstable; urgency=medium

  * update to release_003_008_005-10-g3dbced2
  * Added NI B2x0 VID/PID pairs to udev rules in Debian uhd-host package.
  * 0099-revert-neon-changes.patch: Revert the NEON changes from upstream
    commit 1b149f561370687ad65e3aa644a402f00dbd16ea to fix build on arm64.
    (Thanks Adam!) (Closes: #794906)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 07 Aug 2015 23:49:20 -0400

uhd (3.8.5-1) unstable; urgency=medium

  * New upstream release
    with maint branch patches:
      docs-Updated-X3x0-unbricking-procedure-info
      docs-Added-paragraph-on-GPIO-maximum-current-3.3V-su
      e3xx-Fix-firmware-to-actually-write-fuse-values
      e3xx-doc-Explain-autoboot-configuration
      e3xx-Make-frame-sizes-configurable
      e3xx-docs-Add-a-paragraph-on-network-configuration
      docs-Added-X3x0-LEDs-table
      Added-NI-B2x0-VID-PID-pairs-to-udev-rules
  * New upstream path code (closes: #772412)
  * Debian patches:
     for Debian Hurd and kFreeBSD support
     for reproducible builds: Doxygen HTML_TIMESTAMP = NO
  * Debian source package uses multiple tarballs to match
    upstream use of git with a submodule.
  * remove unused build-dependency on liboil0.3-dev (Closes: #793627)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 05 Aug 2015 00:41:49 -0400
